function change = changed( A1 , A2 )
%CHANGED  returns the all the nodes that changed in some way
%
%    CHANGED(A1 , A2)  returns a vector with all the indices
%       of the nodes that changed in any way between the two
%       networks given by their adjacency matrices A1 and A2.
%
%  Last change:  10/2/2005 - Florian Knorn

if nargin < 1 || nargin > 2
	error('Please give two adjacency matrices');
end

change = find(sum(xor(A1,A2),2));